Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1155010 - References to apt-get and dpkg still present in build
Summary: References to apt-get and dpkg still present in build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: backupninja
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-21 08:59 UTC by Disabled Account
Modified: 2014-12-11 06:34 UTC (History)
3 users (show)

Fixed In Version: backupninja-1.0.1-5.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-04 06:21:38 UTC
Type: Bug


Attachments (Terms of Use)
backupninja yum specific (2.70 KB, patch)
2014-11-16 19:07 UTC, Denis Fateyev
no flags Details | Diff

Description Disabled Account 2014-10-21 08:59:07 UTC
Description of problem:

There are examples of apt-get and dpkg references in the backupninja package. Such examples are 2x apt-get mentions in /usr/sbin/ninjahelper, which stop the script from working as it tries to use apt-get to solve file dependencies.

There is also the less pressing issue that dpkg is on the exclude list by default when creating a backup.

Version-Release number of selected component (if applicable):

Version     : 1.0.1                             Vendor: Fedora Project
Release     : 4.el6                         Build Date: Tue 09 Sep 2014 01:53:42 PM BST
Install Date: Tue 21 Oct 2014 09:38:06 AM BST      Build Host: buildvm-07.phx2.fedoraproject.org


How reproducible:

Each time.

Steps to Reproduce:
1. Install backupninja
2. Less /usr/sbin/ninjahelper
3. Search for apt-get

Actual results:

Installation of deps such as rdiff-backup and dialog fail through ninjahelper and prior.

Expected results:

yum should be invoked instead of apt-get

Additional info:

Minor, but annoying.

Comment 1 Denis Fateyev 2014-11-16 19:07:30 UTC
Created attachment 958037 [details]
backupninja yum specific

Adam, please check if this small patch fixes the issue.

Comment 2 Fedora Update System 2014-11-22 18:30:56 UTC
backupninja-1.0.1-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-5.fc21

Comment 3 Fedora Update System 2014-11-22 18:31:47 UTC
backupninja-1.0.1-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-5.fc20

Comment 4 Fedora Update System 2014-11-22 18:33:43 UTC
backupninja-1.0.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-5.fc19

Comment 5 Fedora Update System 2014-11-22 18:37:42 UTC
backupninja-1.0.1-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-5.el7

Comment 6 Fedora Update System 2014-11-22 18:38:36 UTC
backupninja-1.0.1-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-5.el6

Comment 7 Fedora Update System 2014-11-22 18:39:33 UTC
backupninja-1.0.1-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-5.el5

Comment 8 lnie 2014-11-24 03:15:18 UTC
backupninja-1.0.1-5.fc21 works

Comment 9 Fedora Update System 2014-11-24 21:00:18 UTC
Package backupninja-1.0.1-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing backupninja-1.0.1-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15679/backupninja-1.0.1-5.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-12-04 06:21:38 UTC
backupninja-1.0.1-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-04 06:27:31 UTC
backupninja-1.0.1-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-12-06 10:41:13 UTC
backupninja-1.0.1-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-12-11 06:26:29 UTC
backupninja-1.0.1-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-12-11 06:34:12 UTC
backupninja-1.0.1-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-12-11 06:34:43 UTC
backupninja-1.0.1-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.